﻿/*
		This is an example of use of the i-weather AS3 library
		Please visit http://www.i-weather.org for more detailed information

		Copyright (c) 2010 fabric | ch
		Author Christian Babski
		Version   1.0,  20.06.2010

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
*/
package ch.fabric {

	import flash.display.MovieClip;
	import flash.display.StageScaleMode;
	import flash.geom.ColorTransform;
	import flash.utils.Timer;
	import flash.events.TimerEvent;
	
	import ch.fabric.iweather.IWeather;

	public class Main extends MovieClip {
		
		private var _iweather:IWeather;
		
		public function Main() {
			init();
		}
		
		private function init():void {
			stage.scaleMode = StageScaleMode.EXACT_FIT;
			stage["displayState"]="fullScreen";
			
			// Allocate a new i-weather object
			_iweather = new IWeather();
			
			// Register a text area for time display
			_iweather.addTimeText(t_label);
			
			// Register a movieclip to take the current i-weather color
			_iweather.addMovieClip(i_contBG);
			
			// Uncomment the following line to disable twinkles
			// _iweather.twinkleActivation(false);
			
			// Uncomment the following line in order to set manualy twinkle's frequency			
			// _iweather.twinkleFrequency(2); // examples is every 2 seconds
			
			// Uncomment the following line in order to set mmanualy number of 'vibrations' in a twinkle			
			// _iweather.twinkleNumber(20); // examples is 20 'vibrations'
			
			// Starts the i-weather process
			_iweather.start();
			
			// Get the color and the hour (hh,mm,ss) at 20% of the i-weather cycle
			trace("[(ASC) Main init()] - get color and hour at 20% of the i-weather cycle (R,G,B,T,H,M,S)...");
			trace("-> "+_iweather.getCycleColor(20));
			
			// Get the color at a given hour in the i-weather cycle (here, the color of the end of the i-weather day)
			trace("[(ASC) Main init()] - get color and hour at 25:07:40 (end of the i-weather cycle) (R,G,B,T,H,M,S)...");
			trace("-> "+_iweather.getHourColor("25:07:40"));
		}
	}
	
}
